body {
    background-color: #f9e4ce;
    font-family: 'Poppins', sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    color: #333;
}

.contenedor-formulario-login {
    background-color: #fff;
    border-radius: 15px;
    padding: 40px 30px;
    max-width: 400px;
    width: 100%;
    box-shadow: 0 8px 20px rgba(0,0,0,0.1);
    border: 2px solid #f9e4ce;
    text-align: center;
}

h1 {
    font-weight: 700;
    font-size: 32px;
    color: #5a4633;
    margin-bottom: 25px;
}

label {
    display: block;
    margin: 15px 0 5px;
    color: #5a4633;
    text-align: left;
}

input {
    width: 91%;
    padding: 12px 15px;
    margin-bottom: 10px;
    border: 1px solid #f9e4ce;
    border-radius: 8px;
    border-color: #5a4633;
    box-shadow: 0 0 5px rgba(90, 70, 51, 0.3);
}

.boton-enviar-login {
    width: 100%;
    padding: 12px;
    background-color: #5a4633;
    color: #fff;
    font-weight: 600;
    border: none;
    cursor: pointer;
    border-radius: 8px;
    margin-top: 20px;
}

.boton-enviar-login:hover {
    background-color: #7b5e44;
}

/* --- ESTILOS PARA EL TEXTO Y MENSAJE DE ERROR --- */

.texto-mensaje-error {
    color: red;
    font-size: 14px;
    margin-top: 15px;
    font-weight: 600;
}

/* --- ESTILOS PARA EL NUEVO CONTENEDOR DE REGISTRO --- */

.enlace-ir-registro {
    display: block; /* Permite que actúe como un bloque y respete los márgenes */
    margin-top: 15px;
    font-size: 14.5px;
    color: #5a4633;
}

.enlace-ir-registro a {
    color: #5a4633;
    font-weight: 700;
    text-decoration: underline; /* Mantiene el subrayado pero con tu color corporativo */
    transition: color 0.3s ease;
}

.enlace-ir-registro a:hover {
    color: #7b5e44; /* Cambia a un tono más claro al pasar el ratón */
}